<div class="primitives-container">
  <ng-container *ngIf="primitivesLoaded; else loading">
    <span class="first-element-padding"></span>
    <app-result-item
      *ngFor="let primitive of primitiveEntities; trackBy: trackByPrimitive"
      [primitiveEntity]="primitive">
    </app-result-item>
    <app-result-pixel-map-item
      *ngFor="let pixelMap of pixelMaps; trackBy: trackByPixelMap"
      [pixelMap]="pixelMap"
      [selected]="pixelMap.id === selectedPixelMapId"
      (pixelMapSelected)="pixelMapSelected.emit($event)"
      (zoomToPixelMap)="zoomToPixelMap.emit($event)">
    </app-result-pixel-map-item>
  </ng-container>
  <ng-template #loading>
    <div class="primitives-loading-indicator">
      <mat-spinner diameter="40"></mat-spinner>
      <p>Loading results...</p>
    </div>
  </ng-template>
</div>
